/**
Created By : Shivansh Dubey (Mail : shivanshdu22@gmail.com > 
*/

/* @import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap'); */
@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");

body {
  font-family: "Poppins" !important;
  color: rgb(104, 104, 104);
}

.site-header a,
.site-header .nav-item .active {
  text-decoration: none;
  color: white;
}

.site-header .nav-item:hover {
  color: white;
}

.bg-sec-color {
  background-color: #94958b;
}

.color-theme {
  color: #000;
}

.color-sec {
  color: rgb(77, 77, 77);
  /* color: #94958b; */
}

.navbar-toggler-icon {
  background-image: url(../images/kebabmenu.svg);
  background-size: cover;
}

.navbar-toggler-icon:hover {
  color: white;
}

.text-color-head {
  color: #f0edee;
}

.nav > li > a:hover {
  background-color: #fcc !important;
}

.navbar {
  background-color: white;
}

.footer {
  padding: 20px 0;
  text-align: center;
  color: #000;
}

.hero {
  /* border-color: linear-gradient(rgba(11, 19, 43, 0.8), rgba(11, 19, 43, 0.8)); */
  color: white;
  border-width: 15px;
  padding: 100px 0;
  text-align: center;
  border-radius: 15px;
  background: rgb(2, 0, 36);
  background: linear-gradient(
    157deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(88, 37, 170, 1) 53%,
    rgb(134, 28, 148) 98%
  );
  transform: scale(1.1);
  /* transition: all 2s ease-out; */
}

.btn-primary {
  background-color: #000;
  border: 2px solid whitesmoke;
  background: linear-gradient(to left, #000 50%, #303030 50%) right;
  background-size: 203%;
  transition: 0.4s ease-out;
  /* background-position: left; */
}

.btn-hollow {
  background-color: white;
  border: 2px solid #000;
  color: #000;
}

.btn-hollow:hover {
  background-color: white;
  border: 2px solid #000;
  color: #000;
}

.btn-primary:hover {
  background-position: left;
  background-color: #303030;
  color: #fff;
  border: 2px solid #000;
}

.features .col {
  animation: slideIn 0.5s ease-in;
}

.footer {
  padding: 20px 0;
  text-align: center;
}

@keyframes slideIn {
  from {
    transform: translateY(100px);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.features .col {
  animation: slideIn 0.5s ease-in-out;
}

.features .card {
  /* opacity: 55%; */
  border-image: linear-gradient(
      157deg,
      rgba(2, 0, 36, 1) 0%,
      rgba(88, 37, 170, 1) 53%,
      rgba(28, 128, 148, 1) 98%
    )
    30;
  border-width: 1px;
  border-style: solid;
  /* background: linear-gradient(rgba(11, 19, 43, 0.8), rgba(11, 19, 43, 0.8)); */
  /* color: #F69D05; */
  border: none;
  transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
  border-radius: 15px;
}

.features .card:hover {
  transform: translateY(-10px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.features .card h5 {
  color: #000;
}

.bg-theme {
  background: linear-gradient(
    157deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(88, 37, 170, 1) 53%,
    rgb(134, 28, 148) 98%
  ) !important;
}

.dropdown-toggle::after {
  display: none;
}

.customGrid td {
  font-weight: 400;
  font-size: small;
}

.customGrid th {
  color: #545454de;
  font-weight: 500;
  font-size: 80%;
}

.form-control:focus {
  border-color: #000;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px #000;
}

form label {
  font-size: medium;
  font-weight: 500;
  margin-bottom: 10px;
}

.border-theme {
  --bs-border-opacity: 1;
  border-color: #000 !important;
}

.help-block {
  font-size: smaller;
  color: red;
  margin-left: 3px;
  margin-top: 2px;
}

.hover-class:hover {
  box-shadow: 0 1px 15px #000;
}

.hover-class:hover svg {
  fill: #000;
}

.preloader {
  background: rgba(245, 245, 245, 80%);
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1000;
}

.nav-link {
  color: rgb(82, 81, 81);
  font-size: medium;
  font-weight: 500;
  transition: none;
}

.nav-tabs {
  border-bottom: none;
}

.container .nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
  border: none;
  border-bottom: 4px solid #000;
}

.container .nav-tabs .nav-link:hover,
.nav-tabs .nav-link:focus {
  border: none;
  isolation: initial;
  background-color: rgba(255, 253, 253, 0.8) !important;
  color: black;
  border-bottom: 4px solid #000;
}

/* .datepicker {
  font-size: 13px;
} */
.bootstrap-timepicker-widget {
  font-size: 13px;
}

.selected-row input,
.selected-row .form-control {
  /* font-size: small; */
  border-color: green !important;
}

.selected-row .btn {
  /* font-size: small; */
  border-color: green !important;
}

.selected-row .form-check-input:checked {
  /* font-size: small; */
  background-color: green !important;
}

.text-truncate {
  display: inline-block;
  max-width: 295px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.filter-flyer {
  position: fixed;
  top: 0;
  right: 0;
  height: 100%;
  width: 300px;
  background-color: #ffffff;
  box-shadow: -2px 0 5px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease-in-out;
  transform: translateX(100%);
  z-index: 1050;
}

.filter-flyer.active {
  transform: translateX(0);
}

.filter-header {
  padding: 15px;
  background-color: #f8f9fa;
  border-bottom: 1px solid #dee2e6;
}

.filter-body {
  padding: 15px;
  overflow-y: auto;
  height: calc(100% - 70px);
  /* Adjust height based on header/footer size */
}

.filter-footer {
  padding: 15px;
  background-color: white;
  border-top: 1px solid #dee2e6;
  text-align: center;
}

form textarea {
  height: 150px !important;
}

/* width */
::-webkit-scrollbar {
  width: 0.6em;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 8px rgb(210, 210, 210);
  /* border-radius: 10px; */
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #969696;
  border-radius: 8px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #969696;
}

.required .control-label:after {
  content: "*";
  color: rgb(255, 19, 19);
  margin-left: 2px;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
  background-color: #000 !important;
  color: #fff;
}

.nav-link:hover {
  color: #000;
}

.color-black {
  color: black !important;
}

.kv-grid-wrapper {
  height: 590px;
}

.kv-float-header th a {
  text-decoration: none;
  color: #303030;
}

.kv-sort-icon i {
  color: #000 !important;
}

.candidate-modal .form-check-input:checked{
  background-color: green !important;
}

@media (max-width: 768px) {
  .hide-mobile {
    display: none !important;
  }
}
